

/* 全体のレイアウト */
body {
  padding:0.5em;
  counter-reset: counter_h2;
  /* word-wrap: break-word;  */
  font-family: "BIZ UDGothic";
  line-height: 140%;
  /* position: absolute;*/
  height:100%;
}


/* 章・節・小節スタイル  */
h1 {
  font-family:メイリオ;
  font-size: 220%;
  padding: 0.5em;
}

h2 {
  border-left: solid 3pt gray; 
  border-right: solid 3pt gray; 
  background-color:#cce; padding: 0.5em 0.5em 0.5em 0em;}
h3 { padding: 0.5em 0.5em 0.5em 0.5em; margin: 2em 0pt -0.5em 1em; background-color:#eef}
h4 { font-size:1.1em; padding: 0.2em; margin: 1.5em 0pt 0.5em 10pt; }

/* リンク関連 */
a:visited { color:blue; }
a[href]:hover { color:#f00; }
a[href]{
  text-decoration: none;
}
h1 a:visited{
  color:blue;
}
}

/* 画像関連 */
div.fig{ display: block; text-align: center; }

img { max-width: 80%; height: auto; }

/* ファイル名用のブロック */
div.fname { 
    position: relative;
    border: solid 0px #bbb;
    margin: 1em 0em -1em 0em;
    /* margin:10pt 0pt -1pt 0pt; */
    padding:5px; color:#000; background-color:#ddd; font-family:Consolas, 'メイリオ'; 
  }

/* コピーボタン */
button.cp {
  position: absolute;
  top : 0.5em;
  right: 1em;
  font-size: 10px;
  padding: 2px 4px;
  cursor: pointer;
}

/* コードブロック*/
code {
  font-size: 120%;
}


/* コマンド用のブロック */
pre.com { margin:10pt 0pt 10pt 0pt; padding:10px 10px 10px 10px; color:#fff; background-color:#333; font-family:Consolas, 'メイリオ'; font-size:95%; overflow:auto; line-height:120%; border-radius:10px}



footer {
  font-size: 1.2em;
  font-style: oblique;
  /* font-family: "BIZ UDGothic"; */
  font-family: "Times New Roman" ;
  text-align:right;
}

/* 章・節・小節のナンバリング */
body {
  counter-reset: counter_h2;
}

h2:before { content: "　"; }
h2.num { counter-reset: counter_h3; }
h2.num:before {
  counter-increment: counter_h2;
  content:  "　" counter(counter_h2) ". ";
}

h3:before { content: "　";  }
h3.num { counter-reset: counter_h4; }
h3.num:before {
  counter-increment: counter_h3;
  content: "　" counter(counter_h2) ". " counter(counter_h3) "　";
}

h4:before { content: "　"; }
h4.num { content: counter_h4; }
h4.num:before {  
  counter-increment: counter_h4;
  content: "　" counter(counter_h2) ". " counter(counter_h3) ". " counter(counter_h4) "  ";
}


/* テーブル */
/* 論文調を作りたい*/
table.paper { font-size:80%; border: 2pt 0pt 2pt 0pt; margin: 10pt auto 0pt auto; border-top: solid 2px black; border-bottom: solid 2px black; padding:0pt; border-collapse: collapse; }
.paper th { border-bottom: solid 1px black; margin:0pt; }
.paper td { text-align:center; margin:0pt; }
pre.tname { text-align:center; margin:5pt auto 0pt auto; }

/* 旧来の */
table.old1 {border:solid 0pt black; padding:0pt; font-size:90%;border-collapse: collapse;}
.old1 th { border-bottom:solid 2px black}
.old1 td { border-bottom:solid 1px black ; align:left; font-family:Consolas, 'メイリオ'; margin:0pt; padding:2pt;}
.tdcom {padding:3pt;}

p.my {font-size: 0pt; color:#fff; }
